import { ExtensionDialogProps } from './base';
export { ExtensionDialogProps, reservedExtensionProps } from './base';
import type { FieldExtensionProps } from './field';
import type { FormSidebarExtensionProps } from './formSidebar';
export * from './base';
export type { FormState, FieldState, FieldSubscription, Subscriber, FormSubscription, Form, } from './type-helpers/form';
export type { VisibilityTypes, SetFieldsVisibility, VisibilityMap, } from './type-helpers/visibility';
export type { FieldExtensionProps } from './field';
export type { AppProps } from './app';
export type { FormSidebarExtensionProps } from './formSidebar';
export { FieldExtensionFeature, FieldExtensionType } from './field';
export * from './type-helpers/appInstallation';
export declare type ExtensionProps = FieldExtensionProps | FormSidebarExtensionProps | ExtensionDialogProps;
declare type Xprops = {
    onProps: (props: Record<string, any>) => void;
    onConnected: (uid: string) => Promise<unknown>;
    resize: (size: {
        height: 'auto' | 'full' | number;
        width: 'auto' | '100%' | number;
    }) => unknown;
} & ExtensionProps;
declare global {
    interface Window {
        xprops: Xprops;
    }
}
export declare function init({ debug, onProps, uid: givenUid, }: {
    onProps: (props: any) => unknown;
    debug?: boolean;
    uid?: string;
}): Promise<{
    status: 'ok';
    props: any;
} | {
    status: 'validation';
}>;
declare const _default: {
    init: typeof init;
};
export default _default;
